Page MenuHomePhabricator

TranslateYamlTest::testBug76309 seems to be flaky on HHVM
Closed, ResolvedPublic

Description

08:45:33 1) TranslateYamlTest::testBug76309
08:45:33 Floaty strings outputted as strings
08:45:33 Failed asserting that two strings are equal.
08:45:33 --- Expected
08:45:33 +++ Actual
08:45:33 @@ @@
08:45:33  '---
08:45:33 -a: "2."
08:45:33 -b: "22222222222222222222222222222222222222222222222222222222222222."
08:45:33 +a: ""2.""
08:45:33 +b: ""22222222222222222222222222222222222222222222222222222222222222.""
08:45:33  c: 2.000000
08:45:33  d: "2.0"
08:45:33  ...
08:45:33  '
08:45:33 
08:45:33 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/extensions/Translate/tests/phpunit/TranslateYamlTest.php:68
08:45:33 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/tests/phpunit/MediaWikiTestCase.php:423
08:45:33 /home/jenkins/workspace/mediawiki-extensions-hhvm-jessie/src/maintenance/doMaintenance.php:94

I've seen this fail twice now in the past few days.

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterTranslateYaml: Fix flaky failures in floaty fix

Event Timeline

Legoktm created this task.Jun 7 2018, 8:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 8:48 AM

It shouldn't be flaky at all. Are you sure it's not failing always?

See T194656: Floats with no decimal digits exported incorrectly in Yaml format for context. If it is failing consistently, I can try to disable my code path for HHVM.

If it were failing constantly, all MediaWiki core patches would be failing and others would have complained by now :P

https://integration.wikimedia.org/ci/job/mediawiki-extensions-hhvm-jessie/48554/console was the other failure I had seen on https://gerrit.wikimedia.org/r/#/c/437051/

Does that mean that different versions of HHVM are being used to run tests? I can't imagine why else the test would be flaky.

Both failing and passing runs show Using HHVM 3.18.6-dev (5.6.99-hhvm).

Only other thing I can think about is shell locale...

Oh crap... it also failed on PHP.... what on earth is going on with phpyaml?!

Or is it MWCryptRand::generateHex( 8 );... it can also create numbers only?

Change 437931 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] TranslateYaml: Fix flaky failures in floaty fix

https://gerrit.wikimedia.org/r/437931

Change 437931 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] TranslateYaml: Fix flaky failures in floaty fix

https://gerrit.wikimedia.org/r/437931

Legoktm closed this task as Resolved.Jun 7 2018, 5:31 PM
Legoktm assigned this task to Nikerabbit.

Does that mean that different versions of HHVM are being used to run tests? I can't imagine why else the test would be flaky.
Both failing and passing runs show Using HHVM 3.18.6-dev (5.6.99-hhvm).
Only other thing I can think about is shell locale...

Same HHVM and shell locale versions should be used. I think your suspicion about generateHex() returning only numbers seems more likely, simply because that's the major area of variance in the test.

I'll re-open if I see this again.

Vvjjkkii renamed this task from TranslateYamlTest::testBug76309 seems to be flaky on HHVM to whbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Nikerabbit as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Krinkle renamed this task from whbaaaaaaa to TranslateYamlTest::testBug76309 seems to be flaky on HHVM.Jul 1 2018, 11:38 PM
Krinkle closed this task as Resolved.
Krinkle assigned this task to Nikerabbit.
Krinkle raised the priority of this task from High to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Aklapper.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM